> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List chargebacks



## OpenAPI

````yaml get /chargebacks
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /chargebacks:
    get:
      tags:
        - Chargebacks
      summary: Get all Chargebacks
      description: Fetch all chargebacks on your account
      operationId: GetallChargebacks
      parameters: []
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 18 Mar 2024 10:20:41 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '794'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"31a-xFUwFN39e4A3jupNInFHbg"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/GetallChargebacks'
                  - example:
                      status: success
                      message: Chargebacks fetched
                      meta:
                        page_info:
                          total: 1
                          current_page: 1
                          total_pages: 1
                          page_size: 20
                      data:
                        - id: 1390
                          amount: 100
                          flw_ref: URF_1600800139900_3999635
                          status: lost
                          stage: new
                          comment: This is the payment
                          meta:
                            uploaded_proof: null
                            history:
                              - initiator: dispute
                                date: '2020-09-22T07:01:28.000Z'
                                description: Dispute transaction
                              - action: initiated
                                stage: new
                                date: '2020-09-22T07:05:02.000Z'
                                description: Debit and hold chargeback amount
                                source: availablebalance
                              - action: lost
                                stage: new
                                date: '2020-09-23T04:03:05.000Z'
                                description: No merchant response
                          due_date: '2020-09-23T15:59:59.000Z'
                          settlement_id: N/A
                          created_at: '2020-09-22T19:01:28.000Z'
                          transaction_id: 1554166
                          tx_ref: '10'
              example:
                status: success
                message: Chargebacks fetched
                meta:
                  page_info:
                    total: 1
                    current_page: 1
                    total_pages: 1
                    page_size: 20
                data:
                  - id: 1390
                    amount: 100
                    flw_ref: URF_1600800139900_3999635
                    status: lost
                    stage: new
                    comment: This is the payment
                    meta:
                      uploaded_proof: null
                      history:
                        - initiator: dispute
                          date: '2020-09-22T07:01:28.000Z'
                          description: Dispute transaction
                        - action: initiated
                          stage: new
                          date: '2020-09-22T07:05:02.000Z'
                          description: Debit and hold chargeback amount
                          source: availablebalance
                        - action: lost
                          stage: new
                          date: '2020-09-23T04:03:05.000Z'
                          description: No merchant response
                    due_date: '2020-09-23T15:59:59.000Z'
                    settlement_id: N/A
                    created_at: '2020-09-22T19:01:28.000Z'
                    transaction_id: 1554166
                    tx_ref: '10'
      deprecated: false
components:
  schemas:
    GetallChargebacks:
      title: GetallChargebacks
      required:
        - status
        - message
        - meta
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        meta:
          $ref: '#/components/schemas/Meta23'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Data94'
          description: ''
      example:
        status: success
        message: Chargebacks fetched
        meta:
          page_info:
            total: 1
            current_page: 1
            total_pages: 1
            page_size: 20
        data:
          - id: 1390
            amount: 100
            flw_ref: URF_1600800139900_3999635
            status: lost
            stage: new
            comment: This is the payment
            meta:
              uploaded_proof: null
              history:
                - initiator: dispute
                  date: '2020-09-22T07:01:28.000Z'
                  description: Dispute transaction
                - action: initiated
                  stage: new
                  date: '2020-09-22T07:05:02.000Z'
                  description: Debit and hold chargeback amount
                  source: availablebalance
                - action: lost
                  stage: new
                  date: '2020-09-23T04:03:05.000Z'
                  description: No merchant response
            due_date: '2020-09-23T15:59:59.000Z'
            settlement_id: N/A
            created_at: '2020-09-22T19:01:28.000Z'
            transaction_id: 1554166
            tx_ref: '10'
    Meta23:
      title: Meta23
      required:
        - page_info
      type: object
      properties:
        page_info:
          $ref: '#/components/schemas/PageInfo1'
      example:
        page_info:
          total: 43
          current_page: 1
          total_pages: 3
          page_size: 20
    Data94:
      title: Data94
      required:
        - id
        - amount
        - flw_ref
        - status
        - stage
        - comment
        - meta
        - due_date
        - settlement_id
        - created_at
        - transaction_id
        - tx_ref
      type: object
      properties:
        id:
          type: integer
          format: int32
        amount:
          type: integer
          format: int32
        flw_ref:
          type: string
        status:
          type: string
        stage:
          type: string
        comment:
          type: string
        meta:
          $ref: '#/components/schemas/Meta38'
        due_date:
          type: string
        settlement_id:
          type: string
        created_at:
          type: string
        transaction_id:
          type: integer
          format: int32
        tx_ref:
          type: string
      example:
        id: 1390
        amount: 100
        flw_ref: URF_1600800139900_3999635
        status: lost
        stage: new
        comment: This is the payment
        meta:
          uploaded_proof: null
          history:
            - initiator: dispute
              date: '2020-09-22T07:01:28.000Z'
              description: Dispute transaction
            - action: initiated
              stage: new
              date: '2020-09-22T07:05:02.000Z'
              description: Debit and hold chargeback amount
              source: availablebalance
            - action: lost
              stage: new
              date: '2020-09-23T04:03:05.000Z'
              description: No merchant response
        due_date: '2020-09-23T15:59:59.000Z'
        settlement_id: N/A
        created_at: '2020-09-22T19:01:28.000Z'
        transaction_id: 1554166
        tx_ref: '10'
    PageInfo1:
      title: PageInfo1
      required:
        - total
        - current_page
        - total_pages
        - page_size
      type: object
      properties:
        total:
          type: integer
          format: int32
        current_page:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
      example:
        total: 43
        current_page: 1
        total_pages: 3
        page_size: 20
    Meta38:
      title: Meta38
      required:
        - uploaded_proof
        - history
      type: object
      properties:
        uploaded_proof:
          type: string
          nullable: true
        history:
          type: array
          items:
            $ref: '#/components/schemas/History'
          description: ''
      example:
        uploaded_proof: null
        history:
          - initiator: dispute
            date: '2020-09-22T07:01:28.000Z'
            description: Dispute transaction
          - action: initiated
            stage: new
            date: '2020-09-22T07:05:02.000Z'
            description: Debit and hold chargeback amount
            source: availablebalance
          - action: lost
            stage: new
            date: '2020-09-23T04:03:05.000Z'
            description: No merchant response
    History:
      title: History
      required:
        - date
        - description
      type: object
      properties:
        initiator:
          type: string
        date:
          type: string
        description:
          type: string
        action:
          type: string
        stage:
          type: string
        source:
          type: string
      example:
        initiator: dispute
        date: '2020-09-22T07:01:28.000Z'
        description: Dispute transaction
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````